/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

// AdminOptions.h: interface for the AdminOptions class.
//
//////////////////////////////////////////////////////////////////////

#ifndef ADMINOPTIONS_H
#define ADMINOPTIONS_H

#include <QXmlStreamWriter>
#include <QXmlStreamReader>
#include <QStringList>
#include "MailConfig.h"

class AdminOptions
{
public:
	AdminOptions();
	virtual ~AdminOptions();

	MailConfig mailConfig;

	void serialize(QIODevice &dev);
	bool deserialize(QIODevice &dev);
};

#endif
