/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef FILE_DIALOG_WITH_PATH_REMEMBERING
#define FILE_DIALOG_WITH_PATH_REMEMBERING

#include <QtGui>
#include <QFileDialog>

namespace FileDialogWPR
{

extern QString getOpenFileName(QWidget *parent = 0, const QString &caption = QString(), 
	const QString &dir = QString(), const QString &filter = QString(), 
	QString *selectedFilter = 0, QFileDialog::Options options = 0);

extern QStringList getOpenFileNames(QWidget *parent = 0, const QString &caption = QString(), 
	const QString &dir = QString(), const QString &filter = QString(), 
	QString *selectedFilter = 0, QFileDialog::Options options = 0);

extern QString getSaveFileName(QWidget *parent = 0, const QString &caption = QString(), 
	const QString &dir = QString(), const QString &filter = QString(), 
	QString *selectedFilter = 0, QFileDialog::Options options = 0);

};

#endif
