/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef DET_INFO_WIDGET_H
#define DET_INFO_WIDGET_H

#include <QtGui>

struct CRD_UT10XX_info_t;

class DetInfoWidget: public QWidget
{
	Q_OBJECT;
	
public:
	DetInfoWidget(QWidget *parent = 0);
	void setInfo(const CRD_UT10XX_info_t *info);
	
private:
	QGridLayout *mLayout;
};

#endif
