/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef PROGRESS_WIDGET_H
#define PROGRESS_WIDGET_H

#include <QtGui>

class ProgressWidget: public QWidget
{
	Q_OBJECT;
	
public:
	ProgressWidget(QWidget *parent = 0);
	
public slots:
	void setRange(int range);
	void setProgress(int progress);
	
private:
	int mProgress;
	int mRange;
	
	QProgressBar *mProgressBar;
};

#endif
