/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef CONNECT_ACTION_H
#define CONNECT_ACTION_H

#include <QAction>

class QListWidgetItem;
class VpnItem;

class ConnectAction: public QAction
{
	Q_OBJECT;
	
public:
	ConnectAction(VpnItem *item, QObject *parent);
	
private slots:
	void vpnConnectSlot();
	
signals:
	void vpnItemActiveSig(QListWidgetItem *item);
	void vpnConnectSig();
	
private:
	VpnItem *mItem;
	
};

#endif
