/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef VPN_INFO_WINDOW_H
#define VPN_INFO_WINDOW_H

#include <QDialog>

class QGroupBox;
class QPushButton;
class QLineEdit;
class QTreeWidget;
class VpnItem;

class VpnInfoWindow: public QDialog
{
	Q_OBJECT;
	
public:
	VpnInfoWindow(VpnItem *item, QWidget *parent = 0);
	
private:
	QGroupBox *createNameBox();
	QGroupBox *createNetDetailsBox();
	QGroupBox *createCertsKeyBox();
	
	VpnItem *mVpnItem;
	QPushButton *mOk;
	
};

#endif
